# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "apple-archive"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Pure-Rust reader/writer for Apple Archive (.aar / AA01 / YAA1), ported from libNeoAppleArchive"
readme = false
license = "MIT"

[lib]
name = "apple_archive"
path = "src/lib.rs"

[[test]]
name = "fs_roundtrip"
path = "tests/fs_roundtrip.rs"

[[test]]
name = "roundtrip"
path = "tests/roundtrip.rs"

[dependencies.flate2]
version = "1"

[dependencies.lzfse_rust]
version = "0.2"

[target."cfg(unix)".dependencies.xattr]
version = "1"
